/**
 * @file
 * Initialize history.back logic.
 */

(function ($, Drupal, window) {

  'use strict';

  Drupal.behaviors.navigationBlocksBackButton = {

    attach: function (context) {
      $('.js-previewRefresh').once('previewRefresh').each(function() {
        var $previewRefreshButton = $(this);
        var $form = $previewRefreshButton.closest('form');
        var enableRefresh = true;
        $form.on('formUpdated', (function(event) {
          if (!enableRefresh) return;
          if ($('.js-offCanvasPreview').length === 0) return;

          enableRefresh = false;
          $previewRefreshButton.trigger('mousedown');
          setTimeout(() => enableRefresh = true, 1500);
        }));

        $previewRefreshButton.on('mousedown', function(event) {
          event.preventDefault();
        });
      });
    }
  };

}(jQuery, Drupal, window));
